define("format_multitopic/courseformat/content",["exports","core_courseformat/local/content","core_courseformat/courseeditor","core/inplace_editable","format_multitopic/courseformat/content/section","format_multitopic/courseformat/content/section/cmitem","core/templates"],(function(_exports,_content,_courseeditor,_inplace_editable,_section,_cmitem,_templates){function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Course index main component.
   *
   * @module     format_multitopic/courseformat/content
   * @class      format_multitopic/courseformat/content
   * @copyright  2022 onwards James Calder and Otago Polytechnic
   * @copyright  based on work by 2020 Ferran Recio <ferran@moodle.com>
   * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.default=void 0,_content=_interopRequireDefault(_content),_inplace_editable=_interopRequireDefault(_inplace_editable),_section=_interopRequireDefault(_section),_cmitem=_interopRequireDefault(_cmitem),_templates=_interopRequireDefault(_templates);class Component extends _content.default{create(descriptor){super.create(descriptor),this.originalsinglesectionid=this.element.querySelector("ul.sections").dataset.originalsinglesectionid}static init(target,selectors,sectionReturn){return new this({element:document.getElementById(target),reactive:(0,_courseeditor.getCurrentCourseEditor)(),selectors:selectors,sectionReturn:sectionReturn})}stateReady(state){super.stateReady(state),this.fmtCollapseOnHashChange(),window.addEventListener("hashchange",this.fmtCollapseOnHashChange.bind(this))}fmtCollapseOnHashChange(event){let anchor=window.location.hash;if(!anchor.match(/^#sectionid-\d+(?:-title)?$/))return;let oldStyle=!1;anchor.match(/^#sectionid-\d+$/)&&(anchor+="-title",oldStyle=!0,history.replaceState(history.state,"",anchor));const selSectionHeaderDom=document.querySelector(".course-content ul.sections li.section.section-topic .sectionname"+anchor);if(!selSectionHeaderDom)return;const selSectionDom=selSectionHeaderDom.closest("li.section.section-topic"),sectionId=selSectionDom.getAttribute("data-id"),section=this.reactive.get("section",sectionId);selSectionDom.matches(".section-topic-collapsible")&&(selSectionDom.querySelector(".course-section-header .icons-collapse-expand.collapsed")||section.contentcollapsed)&&this.reactive.dispatch("sectionContentCollapsed",[sectionId],!1),oldStyle&&selSectionDom.scrollIntoView()}_allSectionToggler(event){event.preventDefault();const isAllCollapsed=event.target.closest(this.selectors.TOGGLEALL).classList.contains(this.classes.COLLAPSED);let sectionlist=[];const togglerlistDom=this.element.querySelectorAll(".course-section[data-fmtonpage='1'] "+this.selectors.SECTION_ITEM+" "+this.selectors.COLLAPSE);for(let togglerDom of togglerlistDom)sectionlist.push(togglerDom.closest(".course-section").dataset.id);this.reactive.dispatch("sectionContentCollapsed",sectionlist,!isAllCollapsed)}_refreshAllSectionsToggler(state){const target=this.getElement(this.selectors.TOGGLEALL);if(!target)return;let allcollapsed=!0,allexpanded=!0,sectionCollapsible={};const togglerlistDom=this.element.querySelectorAll(".course-section[data-fmtonpage='1'] "+this.selectors.SECTION_ITEM+" "+this.selectors.COLLAPSE);for(let togglerDom of togglerlistDom)sectionCollapsible[togglerDom.closest(".course-section").dataset.id]=!0;state.section.forEach((section=>{sectionCollapsible[section.id]&&(allcollapsed=allcollapsed&&section.contentcollapsed,allexpanded=allexpanded&&!section.contentcollapsed)})),target.style.visibility=allexpanded&&allcollapsed?"hidden":"visible",allcollapsed&&(target.classList.add(this.classes.COLLAPSED),target.setAttribute("aria-expanded",!1)),allexpanded&&(target.classList.remove(this.classes.COLLAPSED),target.setAttribute("aria-expanded",!0))}_refreshSectionNumber(_ref){let{element:element}=_ref;const target=this.getElement(this.selectors.SECTION,element.id);if(!target)return;target.id="section-".concat(element.number),target.dataset.sectionid=element.number,target.dataset.number=element.number;const inplace=_inplace_editable.default.getInplaceEditable(target.querySelector(this.selectors.SECTION_ITEM));if(inplace){const currentvalue=inplace.getValue(),currentitemid=inplace.getItemId();(""===inplace.getValue()||element.timed)&&(currentitemid!=element.id||currentvalue==element.rawtitle&&""!=element.rawtitle&&!element.timed||inplace.setValue(element.rawtitle))}}_refreshCourseSectionlist(param){super._refreshCourseSectionlist(param);const originalSingleSection=this.reactive.get("section",this.originalsinglesectionid);let singleSectionId;singleSectionId=originalSingleSection?originalSingleSection.levelsan<2?originalSingleSection.id:originalSingleSection.pageid:null;const sectionsDom=this.element.querySelectorAll(this.selectors.SECTION);for(let sdi=0;sdi<sectionsDom.length;sdi++){const sectionDom=sectionsDom[sdi],section=this.reactive.get("section",sectionDom.dataset.id);if(!section||section.component)continue;let refreshCms=!1;const fmtonpageNew=section.pageid==singleSectionId?"1":"0";if(sectionDom.dataset.fmtonpage!=fmtonpageNew&&(sectionDom.dataset.fmtonpage=fmtonpageNew,sectionDom.style.display="1"==fmtonpageNew?"block":"none","1"==fmtonpageNew&&(refreshCms=!0)),section.visible==sectionDom.classList.contains("hidden")){const badgeDom=sectionDom.querySelector("span.badge[data-type='hiddenfromstudents']");section.visible?(sectionDom.classList.remove("hidden"),badgeDom&&badgeDom.classList.add("d-none")):(sectionDom.classList.add("hidden"),badgeDom&&badgeDom.classList.remove("d-none")),"1"==sectionDom.dataset.fmtonpage&&(refreshCms=!0)}refreshCms&&this._refreshSectionCmlist({element:section});const menuDom=sectionDom.querySelector(".course-section-header .section_action_menu");_templates.default.render("core_courseformat/local/content/section/controlmenu",section.controlmenu).done((function(html){_templates.default.replaceNode(menuDom,html,"")}))}this._refreshAllSectionsToggler(this.reactive.stateManager.state);const addSectionDom=document.querySelector("div#fmtchangenumsections > a");addSectionDom.href=addSectionDom.href.replace(/\binsertparentid=\d+\b/,"insertparentid="+singleSectionId)}_indexContents(){this._scanIndex(this.selectors.SECTION,this.sections,(item=>new _section.default(item))),this._scanIndex(this.selectors.CM,this.cms,(item=>new _cmitem.default(item)))}}return _exports.default=Component,_exports.default}));

//# sourceMappingURL=content.min.js.map